libximc: joystick_settings_t Struct Reference

libximc 3.0.2

Data Fields
joystick_settings_t Struct Reference

Joystick settings. More...

`#include <ximc.h>`

## Data Fields
unsigned int | JoyLowEnd
| Joystick lower end position.
unsigned int | JoyCenter
| Joystick center position.
unsigned int | JoyHighEnd
| Joystick upper end position.
unsigned int | ExpFactor
| Exponential nonlinearity factor.
unsigned int | DeadZone
| Joystick deviation from the central position in 0.1% units that do not result in a start of motion.
unsigned int | JoyFlags
| Joystick flags.

## Detailed Description

Joystick settings.

This structure contains joystick parameters. If joystick position falls outside DeadZone limits, a movement begins. The speed is defined by the joystick's position in the range from the DeadZone limit to the maximum deviation. Joystick positions inside DeadZone limits correspond to zero speed (a "soft stop" command is issued continuously), and positions beyond Low and High limits correspond to MaxSpeed[i] or -MaxSpeed[i] (see command SCTL), where i = 0 by default and can be changed with the left/right buttons (see command SCTL). If the next speed in the list is zero (both integer and microstep parts), the button press is ignored. The first speed in the list shouldn't be zero. DeadZone is defined in 0.1% units.

The relationship between the deviation and the rate is exponential, which allows for high mobility and accuracy without speed mode switching.

See also
  set_joystick_settings
  get_joystick_settings
  get_joystick_settings, set_joystick_settings

## Field Documentation

## ◆ DeadZone

unsigned int DeadZone

Joystick deviation from the central position in 0.1% units that do not result in a start of motion.

Maximal deviation is +-25.5% that is more than a half of the total joystick range.

## ◆ ExpFactor

unsigned int ExpFactor

Exponential nonlinearity factor.

## ◆ JoyCenter

unsigned int JoyCenter

Joystick center position.

Range: 0..10000.

## ◆ JoyFlags

unsigned int JoyFlags

Joystick flags.

## ◆ JoyHighEnd

unsigned int JoyHighEnd

Joystick upper end position.

Range: 0..10000.

## ◆ JoyLowEnd

unsigned int JoyLowEnd

Joystick lower end position.

Range: 0..10000.